Validate import storage
Validate a specific Redis import storage connection.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Request
This endpoint expects an object.
project
A unique integer value identifying this project.
db
Server Database
description
Cloud storage description
host
Server Host IP (optional)
id
Storage ID. If set, storage with specified ID will be updated
password
Server Password (optional)
path
Storage prefix (optional)
port
Server Port (optional)
regex_filter
Cloud storage regex for filtering objects
synchronizable
title
Cloud storage title
use_blob_urls
Interpret objects as BLOBs and generate URLs
Response
Validation successful